## ichthux-docs 6.10-1

=== Makefile ===
#################################################################################
# Makefile for the Kubuntu Documentation
# Copyright (C) 2005-2006 Ubuntu Documentation Project (ubuntu-doc@lists.ubuntu.com)
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#    On Debian based systems a copy of the GPL can be found
#    at /usr/share/common-licenses/GPL
#
#################################################################################

MAKECMD=make

# XSL Processors
XSLTPROC=/usr/bin/xsltproc

NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl

# Stylesheets for building HTML and PDF

ICHTHUXXSL=libs/ichthux-single.xsl
# Uncomment the line below this and comment out the line above this to build website with tabs
# KUBUNTUXSL=libs/kubuntu-web.xsl
#PDFSTYLE=../libs/pdf/ubuntu-pdf.xsl

# Makes an Image list text file
MKIMGLST=libs/imagelist.xsl

# Collected and Write Status
wOS=libs/writeOwnerStatus.xsl

BUILDDIR=build/

# Base kde directories for output from processor

RNBASE=$(BUILDDIR)release-notes/

AIBASE=$(BUILDDIR)about-ichthux/

INSTALLBASE=$(BUILDDIR)installguide/

all: clean about install release-notes

	# copy style sheet to build directory
	mkdir -p $(BUILDDIR)common/
	cp libs/kde-default.css $(BUILDDIR)common/
	cp libs/ichthux-default.css $(BUILDDIR)common/
	cp /usr/share/doc/kde/HTML/en/common/*png $(BUILDDIR)common/

# This is here to select what to build for the .deb package.
# Frode M. Doeving <frode@lnix.net>
# Depends: debhelper devscripts cdbs
# Run prepdeb.sh do not run this make target
# Status: Available
kdeb: release-notes about install

# Style and header images - these are used in all the documents below

style:

	@echo "Building the Server Guide . . ."
	# copy style sheet to build directory
	mkdir -p $(BUILDDIR)common/
	cp libs/kde-default.css $(BUILDDIR)common/
	cp libs/ichthux-default.css $(BUILDDIR)common/
	cp /usr/share/doc/kde/HTML/en/common/*png $(BUILDDIR)common/

# About Ichthux
about: style $(AIBASE)C

# To add other languages to the build simply include them after the above, like this: "$(AKBASE)lc" where "lc" is the language code.

$(AIBASE)%: about-ichthux/%/about-ichthux.xml
	xsltproc -o $@/index.html $(ICHTHUXXSL) $<

# Ichthux Release Notes

release-notes: style $(RNBASE)C

$(RNBASE)%: releasenotes/%/releasenotes.xml
	xsltproc -o $@/index.html $(ICHTHUXXSL) $<

	@echo "Complete. Find outputs at" $(RNBASE)

# Ichthux Install Guide

install: style $(INSTALLBASE)C

	# copy sample files to build directory
	#mkdir -p $(INSTALLBASE)sample
	#cp -r isntallguideguide/sample/* $(INSTALLBASE)sample/

$(INSTALLBASE)%: installguide/%/installguide.xml
	xsltproc --xinclude -o $@/index.html $(ICHTHUXXSL) $<

# Cleanup

clean:
	rm -rf $(BUILDDIR)*

=== debian/changelog ===
ichthux-docs (6.10-1) edgy; urgency=low

  * Initial Release of Ichthux documentation

 -- Jordan Mantha <mantha@ubuntu.com>  Wed, 27 Sep 2006 10:57:17 -0700

=== debian/control ===
Source: ichthux-docs
Section: text
Priority: optional
Maintainer: Jordan Mantha <mantha@ubuntu.com>
Build-Depends-Indep: debhelper (>= 4.0.0), cdbs, xsltproc, docbook-xsl, perl, perl-modules, poxml, kdelibs-data, kdelibs-bin
Standards-Version: 3.7.2

Package: ichthux-docs
Architecture: all
Depends: khelpcenter
Recommends: kubuntu-docs
Description: Ichthux documentation
 The Ichthux documentation in this package includes:
  * About Ichthux
  * Ichthux Release Notes
  * Ichthux Installation Guide
 .
 This documentation is created and maintained by
 the Ichthux Development Team. <ichthux-devel@crosswire.org>

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

DEB_COMPRESS_EXCLUDE := .bz2 .css .dcl .docbook -license .tag .sty .el

build-stamp:
	touch build-stamp

build: build-stamp
	make kdeb

install/ichthux-docs::
	# *.desktop files to make documents appear in khelpcenter
	dh_install khelpdesktop/ichthux/*.desktop usr/share/apps/khelpcenter/plugins/ichthux/
	# this is the .directory file for proper naming in khelpcenter.
	dh_install khelpdesktop/ichthux/.directory usr/share/apps/khelpcenter/plugins/ichthux/
	# now add a pinch of css
	dh_install build/common/ichthux-default.css usr/share/doc/kde/HTML/en/common/
	# and here goes the documentation.
	dh_install build/about-ichthux/C/* usr/share/doc/kde/HTML/en/ichthux/about-ichthux/
	dh_install build/release-notes/C/* usr/share/doc/kde/HTML/en/ichthux/release-notes/
	dh_install build/installguide/C/* usr/share/doc/kde/HTML/en/ichthux/installguide/
	dh_install build/images/* usr/share/doc/kde/HTML/en/images/
	sed -i "s/\.\.\/\.\.\//file:\/\/\/usr\/share\/doc\/kde\/HTML\/en\//" debian/ichthux-docs/usr/share/doc/kde/HTML/en/ichthux/about-ichthux/index.html

clean::
	# clean up
	make clean
	rm -f build-stamp
	rm -rf debian/ichthux-docs

## ichthux-docs 6.10-2

=== debian/changelog ===
ichthux-docs (6.10-2) oneiric; urgency=low

  * Build-depend on kdelibs5-data rather than kdelibs-data (LP: #836795).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 11 Sep 2011 17:41:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: text
 Priority: optional
 Maintainer: Jordan Mantha <mantha@ubuntu.com>
-Build-Depends-Indep: debhelper (>= 4.0.0), cdbs, xsltproc, docbook-xsl, perl, perl-modules, poxml, kdelibs-data, kdelibs-bin
+Build-Depends-Indep: debhelper (>= 4.0.0), cdbs, xsltproc, docbook-xsl, perl, perl-modules, poxml, kdelibs5-data, kdelibs-bin
 Standards-Version: 3.7.2
 
 Package: ichthux-docs
